<?php


namespace Drupal\travolute\ValueObject;

class Booking
{
    private $id;
    private $code;
    private $created_at;
    private $updated_at;
    private $accommodationId;
    private $departureDate;
    private $numberOfDays;
    private $roomTypeId;
    private $boardTypeId;
    private $occupancy;
    private $departureAirportId;
    private $customers;
    private $priceModel;
    private $priceAvailabilityModel;
    private $externalCode;

    public function __construct($newBooking)
    {
        $this->id = $newBooking->id;
        $this->code = $newBooking->code;
        $this->created_at = $newBooking->created_at;
        $this->updated_at = $newBooking->updated_at;
        $this->accommodationId = $newBooking->accommodationId;
        $this->departureDate = $newBooking->departureDate;
        $this->numberOfDays = $newBooking->numberOfDays;
        $this->roomTypeId = $newBooking->roomTypeId;
        $this->boardTypeId = $newBooking->boardTypeId;
        $this->occupancy = $newBooking->occupancy;
        $this->departureAirportId = $newBooking->departureAirportId;
        $this->customers = $newBooking->customers;
        $this->priceModel = $newBooking->priceModel;
        $this->priceAvailabilityModel = $newBooking->priceAvailabilityModel;
        $this->externalCode = $newBooking->externalCode;
    }
}
